CVE-2019-20922

See a problem?
Source
https://nvd.nist.gov/vuln/detail/CVE-2019-20922
Import Source
https://storage.googleapis.com/cve-osv-conversion/osv-output/CVE-2019-20922.json
JSON Data
https://api.osv.dev/v1/vulns/CVE-2019-20922
Aliases
Published
2020-09-30T18:15:18Z
Modified
2024-05-30T01:41:51.572947Z
Severity
  • 7.5 (High) CVSS_V3 - CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H CVSS Calculator
Summary
[none]
Details

Handlebars before 4.4.5 allows Regular Expression Denial of Service (ReDoS) because of eager matching. The parser may be forced into an endless loop while processing crafted templates. This may allow attackers to exhaust system resources.

References

Affected packages

Git / github.com/handlebars-lang/handlebars.js

Affected ranges

Type
GIT
Repo
https://github.com/handlebars-lang/handlebars.js
Events
Introduced
0 Unknown introduced commit / All previous commits are affected
Fixed

Affected versions

0.*

0.9.0.pre.4

1.*

1.0.0
1.0.0-rc.3
1.0.0-rc.4
1.0.0.beta.1
1.0.rc.1
1.0.rc.2

v1.*

v1.0.10
v1.0.11
v1.0.12
v1.0.5beta
v1.0.6
v1.0.6-2
v1.0.6beta
v1.0.7
v1.0.8
v1.0.9
v1.1.0
v1.1.1
v1.1.2
v1.2.0
v1.2.1
v1.3.0

v2.*

v2.0.0
v2.0.0-alpha.1
v2.0.0-alpha.2
v2.0.0-alpha.3
v2.0.0-alpha.4
v2.0.0-beta.1

v3.*

v3.0.0
v3.0.1
v3.0.2
v3.0.3

v4.*

v4.0.0
v4.0.1
v4.0.10
v4.0.11
v4.0.12
v4.0.2
v4.0.3
v4.0.4
v4.0.5
v4.0.6
v4.0.7
v4.0.8
v4.0.9
v4.1.0
v4.1.1
v4.1.2
v4.1.2-0
v4.2.0
v4.2.1
v4.3.0
v4.3.1
v4.3.2
v4.3.3
v4.3.4
v4.4.0
v4.4.1
v4.4.2
v4.4.3
v4.4.4